Page MenuHomePhabricator

Fix missing name(aria-label) in Images - Gallery
Closed, ResolvedPublicBUG REPORT

Description

Steps to Reproduce:

  1. Navigate to VisualEditor
  2. Navigate to Insert
  3. Navigate till "Gallery " control, hit enter.
  4. Verify using Accessibility Insights tool

Actual Results:
Search Widget not accessible to screen readers

Expected Results:
Search Widget should be accessible to screen readers

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 22 2020, 1:41 AM

Change 574137 had a related patch set uploaded (by Akinwale-microsoft; owner: Akinwale-microsoft):
[mediawiki/extensions/VisualEditor@master] Fix: Insert -> gallery dialog now contain label for screen readers

https://gerrit.wikimedia.org/r/574137

Change 574581 had a related patch set uploaded (by Akinwale-microsoft; owner: Akinwale-microsoft):
[mediawiki/extensions/VisualEditor@master] Fix: Insert -> gallery dialog now contain label for screen readers

https://gerrit.wikimedia.org/r/574581

Change 574137 abandoned by Akinwale-microsoft:
Fix: Insert -> gallery dialog now contain label for screen readers

Reason:
see new in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/ /574581

https://gerrit.wikimedia.org/r/574137

JTannerWMF added a subscriber: JTannerWMF.

We will consider this for code review in an upcoming sprint.

Change 610581 had a related patch set uploaded (by Tam-edwin-microsoft; owner: Tam-edwin-microsoft):
[mediawiki/core@master] MediaSearchWidget: Added aria-label for screen reader for the search input box

https://gerrit.wikimedia.org/r/610581

Per Bartosz's comment in patch 574581 to move the change from VisualEditor to Mediawiki/core
I have uploaded the above new patch 610581

Change 574581 abandoned by Bartosz Dziewoński:
[mediawiki/extensions/VisualEditor@master] Fix: Insert -> gallery dialog now contain label for screen readers

Reason:
Superseded by https://gerrit.wikimedia.org/r/c/mediawiki/core/ /610581

https://gerrit.wikimedia.org/r/574581

Change 610581 merged by jenkins-bot:
[mediawiki/core@master] MediaSearchWidget: Added aria-label for screen reader for the search input box

https://gerrit.wikimedia.org/r/610581

matmarex renamed this task from Fix missing name(aria-label) in Images - Gallary to Fix missing name(aria-label) in Images - Gallery.Jul 13 2020, 8:59 PM
matmarex moved this task from To Triage to Triaged on the VisualEditor board.
matmarex edited projects, added Skipped QA; removed Patch-For-Review.
ppelberg closed this task as Resolved.Jul 17 2020, 2:02 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 17 2020, 2:02 AM